Unity3d doesn't work.

Asked by Christian Hvide on 2015-04-11

I installed pipelight and enabled the unity3d plugin.
But it doesn't work. I tried both Chrome and Firefox.
Also, for future versions, could you please make all stable plugins work by default.
It took me forever to find out why things wouldn't work. And it was frustrating and confusing.

Question information

Language:
English Edit question
Status:
Answered
For:
Pipelight Edit question
Assignee:
No assignee Edit question
Last query:
2015-04-11
Last reply:
2015-04-12
Jeff (boardman-malibu) said : #1

Jeff McCloud suggests this article as an answer to your question: https://answers.launchpad.net/pipelight/+question/249629
FAQ #2351: “My favorite streaming site says I'm using a wrong operating system / how to set the user agent”.

Michael Müller (mqchael) said : #2

The FAQ page on launchpad is outdated, please use http://pipelight.net/cms/page-help.html instead.

However, the question does not contain enough information to know what is going wrong. Does the plugin show up in about:plugins? Do you get any error message? etc.

Christian Hvide (blackoutworm) said : #3

I clicked the about:plugins link, but it says about:blank. I'm using chrome btw. And no it's not in firefox's plugins list.
It's not in chrome:plugins either.
And whenever I go to a website that uses unity web player, it says I need to install unity web player.

Michael Müller (mqchael) said : #4

Chrome dropped support for Pipelight since version 34.

Please execute "sudo pipelight-plugin --create-mozilla-plugins" and restart firefox.

Christian Hvide (blackoutworm) said : #5

Thanks but still no luck.
"The Unity web player currently does not work on your system. This makes us terribly sad. Maybe Unity will become fully cross-platform in the future. Until then, you can always pester them until they cave in."
Link: http://gamejolt.com/games/puzzle/the-very-organized-thief/18991/
I've tried other websites too such as: http://www.kongregate.com/games/arcan3artist/the-very-organized-thief
And: http://www.indiedb.com/games/the-very-organized-thief

Also, please for your next version, create a package that'll enable all the stable plugins by default or at least create a gui for pipelight.
But yea, it didn't work.

Michael Müller (mqchael) said : #6

As pointed out by Jeff McCloud you didn't install a user agent switcher / didn't change the platform override as described at http://pipelight.net/cms/installation-user-agent.html. The website only shows the message if you didn't change it.

Did you execute "sudo pipelight-plugin --update" after the installation?

Enabling plugins that you don't need doesn't make sense from a security point of view. There was some work on a gui some time ago, though I don't think that it is very difficult to execute one additional command after installing pipelight. Especially since every plugin is described on a separate page with tips ( http://pipelight.net/cms/plugin-unity-webplayer.html ).

Christian Hvide (blackoutworm) said : #7

Yes I did. User agent for IE8 and IE7.
Still not working.

Jeff (boardman-malibu) said : #8

Pipelight uses the NPAPI which is now only supported by Firefox. IE uses activeX plugins which are not compatible with Firefox, so it would be a poor choice as a user agent spoof.

 I ran NASCAR Raceview yesterday on Firefox 37.0.1 which uses Unity3d for the simulated camera views, after setting the platform overide to "Windows" and setting "User Agent Overrider 0.2.5" to "Windows/Firefox 26" , and the program ran reasonably well.

Jeff (boardman-malibu) said : #9

I was able to go the site Christian Hvide posted:

http://www.kongregate.com/games/arcan3artist/the-very-organized-thief

and it loaded and ran on Firefox configured as I previously mentioned.

Not sure what you mean by "after setting the platform overide to "Windows" and setting "User Agent Overrider 0.2.5" to "Windows/Firefox 26" ,"
I installed the user agent switcher and switched to IE8, not working.
But I guess I'll just have to wait for them to release it on Linux.
Because this is all very complicated. And my system works fine. I don't want to mess it up and crash things.

Michael Müller (mqchael) said : #11

> But I guess I'll just have to wait for them to release it on Linux.

This seems like a reasonable choice since you do not pay attention to what is written in the installing instructions or what people are trying to tell you.

From http://pipelight.net/cms/installation-user-agent.html in the big red box:
"Moreover, never select the Internet Explorer as user agent! Some websites will then try to use ActiveX which only works in the IE and no other browser."

Written by Jeff:
"IE uses activeX plugins which are not compatible with Firefox, so it would be a poor choice as a user agent spoof."

It is okay if you have trouble configuring the user agent switcher, but you can't blame us if you do something that is known to break things and you have been warned two times. There are even screenshots which tell you how to select the right user agent.

I don't think that we find a solution this way.

Can you help with this problem?

Provide an answer of your own, or ask Christian Hvide for more information if necessary.

To post a message you must log in.